wxWidgets: wxRichTextObjectAddress Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
wxRichTextObjectAddress Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for specifying an object anywhere in an object hierarchy, without using a pointer, necessary since wxRTC commands may delete and recreate sub-objects so physical object addresses change.

An array of positions (one per hierarchy level) is used.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextCommand

## Public Member Functions
| wxRichTextObjectAddress (wxRichTextParagraphLayoutBox *topLevelContainer, wxRichTextObject *obj)
| Creates the address given a container and an object.
| wxRichTextObjectAddress ()
| wxRichTextObjectAddress (const wxRichTextObjectAddress &address)
void | Init ()
void | Copy (const wxRichTextObjectAddress &address)
| Copies the address.
void | operator= (const wxRichTextObjectAddress &address)
| Assignment operator.
wxRichTextObject * | GetObject (wxRichTextParagraphLayoutBox *topLevelContainer) const
| Returns the object specified by the address, given a top level container.
bool | Create (wxRichTextParagraphLayoutBox *topLevelContainer, wxRichTextObject *obj)
| Creates the address given a container and an object.
wxArrayInt & | GetAddress ()
| Returns the array of integers representing the object address.
const wxArrayInt & | GetAddress () const
| Returns the array of integers representing the object address.
void | SetAddress (const wxArrayInt &address)
| Sets the address from an array of integers.

## Protected Attributes
wxArrayInt | m_address

## Constructor & Destructor Documentation

## ◆ wxRichTextObjectAddress() [1/3]

wxRichTextObjectAddress::wxRichTextObjectAddress | ( | wxRichTextParagraphLayoutBox * | topLevelContainer,
|  | wxRichTextObject * | obj )
| inline

Creates the address given a container and an object.

## ◆ wxRichTextObjectAddress() [2/3]

wxRichTextObjectAddress::wxRichTextObjectAddress | ( |  | ) |
| inline

## ◆ wxRichTextObjectAddress() [3/3]

wxRichTextObjectAddress::wxRichTextObjectAddress | ( | const wxRichTextObjectAddress & | address | ) |
| inline

## Member Function Documentation

## ◆ Copy()

void wxRichTextObjectAddress::Copy | ( | const wxRichTextObjectAddress & | address | ) |
| inline

Copies the address.

## ◆ Create()

bool wxRichTextObjectAddress::Create | ( | wxRichTextParagraphLayoutBox * | topLevelContainer,
|  | wxRichTextObject * | obj )

Creates the address given a container and an object.

## ◆ GetAddress() [1/2]

wxArrayInt & wxRichTextObjectAddress::GetAddress | ( |  | ) |
| inline

Returns the array of integers representing the object address.

## ◆ GetAddress() [2/2]

const wxArrayInt & wxRichTextObjectAddress::GetAddress | ( |  | ) | const
| inline

Returns the array of integers representing the object address.

## ◆ GetObject()

wxRichTextObject * wxRichTextObjectAddress::GetObject | ( | wxRichTextParagraphLayoutBox * | topLevelContainer | ) | const

Returns the object specified by the address, given a top level container.

## ◆ Init()

void wxRichTextObjectAddress::Init | ( |  | ) |
| inline

## ◆ operator=()

void wxRichTextObjectAddress::operator= | ( | const wxRichTextObjectAddress & | address | ) |
| inline

Assignment operator.

## ◆ SetAddress()

void wxRichTextObjectAddress::SetAddress | ( | const wxArrayInt & | address | ) |
| inline

Sets the address from an array of integers.

## Member Data Documentation

## ◆ m_address

wxArrayInt wxRichTextObjectAddress::m_address
| protected